%define shortname clock
%define name gdesklets-%{shortname}
%define version 0.32
%define release 3mdk
%define archivename %{shortname}-desklet-%{version}

Name:           %{name}
Summary:        Clock sensor and displays for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=12
Source0:	%{archivename}.tar.bz2
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets

%description
This package contains the clock sensor and some clock displays
(by Martin Grimme and tigert and GrandMasta)

To add the display, use one of:
  gdesklets-add-gnomeclock-display
  gdesklets-add-plainclock-display
  gdesklets-add-pocket-watch-display
  gdesklets-add-rafclock-display

%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_datadir}/gdesklets/Displays
%dir %{_datadir}/gdesklets/Sensors/Clock
%dir %{_datadir}/gdesklets/Sensors/Clock/locale
%{_datadir}/gdesklets/Sensors/Clock/ChangeLog
%{_datadir}/gdesklets/Sensors/Clock/*.py
%{_datadir}/gdesklets/Sensors/Clock/timezones.dat
%lang(de) %{_datadir}/gdesklets/Sensors/Clock/locale/de
%lang(fr) %{_datadir}/gdesklets/Sensors/Clock/locale/fr
%lang(pt) %{_datadir}/gdesklets/Sensors/Clock/locale/pt
%lang(sq) %{_datadir}/gdesklets/Sensors/Clock/locale/sq
%lang(sr) %{_datadir}/gdesklets/Sensors/Clock/locale/sr
%lang(sr@Latn) %{_datadir}/gdesklets/Sensors/Clock/locale/sr@Latn
%lang(sv) %{_datadir}/gdesklets/Sensors/Clock/locale/sv
%{_bindir}/gdesklets-add-*-display

%changelog
* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.32-3mdk
- update source1 for 0.30

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.32-2mdk
- fix directory ownership

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.32-1mdk
- add new locale files
- fix URL
- new version

* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.2-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
